media_item:
  label: Media Item
  namespace: Organisms/TM - Media Centre
  use: '@organisms/tm-mc/media-item/media-item.twig'
  description: Media Item
  libraries:
    - media_card_lib:
        css:
          component:
            ../styles/media-item.css: {}

  fields:
    image_src:
      type: text
      label: Image Source
      description: The image source url
      preview: https://picsum.photos/400/300?rnd=1
    img_alt:
      type: text
      label: Image Alt
      description: The alt text
      preview: Alt Text of image
    url:
      type: text
      label: Url
      description: The alt text
      preview: '#'
    description:
      type: text
      label: Label
      description: The title
      preview: Red Ticket Banner
    image_size:
      type: text
      label: Content
      description: Content
      preview: 1500 x 299

  settings:
    item_classes:
      type: textfield
      label: Item Class
    image_classes:
      type: textfield
      label: Image Class
